GNU Radio C++ API Reference: gr::analog::kernel::agc2_cc Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::analog::kernel::agc2_cc Class Reference
GNU Radio C++ Signal Processing Blocks » Level Controllers

high performance Automatic Gain Control class More...

`#include <gnuradio/analog/agc2.h>`

## Public Member Functions
| agc2_cc (float attack_rate=1e-1, float decay_rate=1e-2, float reference=1.0, float gain=1.0, float max_gain=0.0)
float | decay_rate () const
float | attack_rate () const
float | reference () const
float | gain () const
float | max_gain () const
void | set_decay_rate (float rate)
void | set_attack_rate (float rate)
void | set_reference (float reference)
void | set_gain (float gain)
void | set_max_gain (float max_gain)
gr_complex | scale (gr_complex input)
void | scaleN (gr_complex output[], const gr_complex input[], unsigned n)

## Protected Attributes
float | _attack_rate
float | _decay_rate
float | _reference
float | _gain
float | _max_gain

## Detailed Description

high performance Automatic Gain Control class

For Power the absolute value of the complex number is used.

## Constructor & Destructor Documentation

## ◆ agc2_cc()

gr::analog::kernel::agc2_cc::agc2_cc | ( | float | attack_rate = 1e-1,
|  | float | decay_rate = 1e-2,
|  | float | reference = 1.0,
|  | float | gain = 1.0,
|  | float | max_gain = 0.0 )
| inline

Construct a comple value AGC loop implementation object.

Parameters

  attack_rate | the update rate of the loop when in attack mode.
  decay_rate | the update rate of the loop when in decay mode.
  reference | reference value to adjust signal power to.
  gain | initial gain value.
  max_gain | maximum gain value (0 for unlimited).

References _attack_rate, _decay_rate, _gain, _max_gain, _reference, attack_rate(), decay_rate(), gain(), max_gain(), and reference().

## Member Function Documentation

## ◆ attack_rate()

float gr::analog::kernel::agc2_cc::attack_rate | ( |  | ) | const
| inline

References _attack_rate.

Referenced by agc2_cc().

## ◆ decay_rate()

float gr::analog::kernel::agc2_cc::decay_rate | ( |  | ) | const
| inline

References _decay_rate.

Referenced by agc2_cc().

## ◆ gain()

float gr::analog::kernel::agc2_cc::gain | ( |  | ) | const
| inline

References _gain.

Referenced by agc2_cc(), and set_gain().

## ◆ max_gain()

float gr::analog::kernel::agc2_cc::max_gain | ( |  | ) | const
| inline

References _max_gain.

Referenced by agc2_cc(), and set_max_gain().

## ◆ reference()

float gr::analog::kernel::agc2_cc::reference | ( |  | ) | const
| inline

References _reference.

Referenced by agc2_cc(), and set_reference().

## ◆ scale()

gr_complex gr::analog::kernel::agc2_cc::scale | ( | gr_complex | input | ) |
| inline

References _attack_rate, _decay_rate, _gain, _max_gain, and _reference.

Referenced by scaleN().

## ◆ scaleN()

void gr::analog::kernel::agc2_cc::scaleN | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned | n )
| inline

References scale().

## ◆ set_attack_rate()

void gr::analog::kernel::agc2_cc::set_attack_rate | ( | float | rate | ) |
| inline

References _attack_rate.

## ◆ set_decay_rate()

void gr::analog::kernel::agc2_cc::set_decay_rate | ( | float | rate | ) |
| inline

References _decay_rate.

## ◆ set_gain()

void gr::analog::kernel::agc2_cc::set_gain | ( | float | gain | ) |
| inline

References _gain, and gain().

## ◆ set_max_gain()

void gr::analog::kernel::agc2_cc::set_max_gain | ( | float | max_gain | ) |
| inline

References _max_gain, and max_gain().

## ◆ set_reference()

void gr::analog::kernel::agc2_cc::set_reference | ( | float | reference | ) |
| inline

References _reference, and reference().

## Member Data Documentation

## ◆ _attack_rate

float gr::analog::kernel::agc2_cc::_attack_rate
| protected

Referenced by agc2_cc(), attack_rate(), scale(), and set_attack_rate().

## ◆ _decay_rate

float gr::analog::kernel::agc2_cc::_decay_rate
| protected

Referenced by agc2_cc(), decay_rate(), scale(), and set_decay_rate().

## ◆ _gain

float gr::analog::kernel::agc2_cc::_gain
| protected

Referenced by agc2_cc(), gain(), scale(), and set_gain().

## ◆ _max_gain

float gr::analog::kernel::agc2_cc::_max_gain
| protected

Referenced by agc2_cc(), max_gain(), scale(), and set_max_gain().

## ◆ _reference

float gr::analog::kernel::agc2_cc::_reference
| protected

Referenced by agc2_cc(), reference(), scale(), and set_reference().

The documentation for this class was generated from the following file:

- agc2.h